"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var paycards_recognizer_common_1 = require("./paycards-recognizer.common");
var application = require("tns-core-modules/application");
var PaycardsRecognizer = (function () {
    function PaycardsRecognizer() {
    }
    PaycardsRecognizer.prototype.recognize = function () {
        var ScanCardIntent = cards.pay.paycardsrecognizer.sdk.ScanCardIntent;
        var Builder = ScanCardIntent.Builder;
        var intent = new Builder(application.android.context).build();
        var foregroundActivity = application.android.foregroundActivity;
        foregroundActivity.startActivityForResult(intent, PaycardsRecognizer.REQUEST_CODE_SCAN_CARD);
        return new Promise(function (resolve, reject) {
            application.android.on('activityResult', function (args) {
                if (args.requestCode === PaycardsRecognizer.REQUEST_CODE_SCAN_CARD &&
                    args.resultCode === android.app.Activity.RESULT_OK) {
                    var result = args.intent.getParcelableExtra(ScanCardIntent.RESULT_PAYCARDS_CARD);
                    var card = paycards_recognizer_common_1.Card.fromAndroidIntent(result);
                    resolve(card);
                }
            });
        });
    };
    PaycardsRecognizer.REQUEST_CODE_SCAN_CARD = 31618;
    return PaycardsRecognizer;
}());
exports.PaycardsRecognizer = PaycardsRecognizer;
//# sourceMappingURL=paycards-recognizer.android.js.map